Bug 1031822 - F18 - missing "add back support for secp521r1 EC curve"
F18 - missing "add back support for secp521r1 EC curve"
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: openssl (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomas Mraz
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-18 16:15 EST by Harald Reindl
Modified: 2013-12-21 09:45 EST (History)
1 user (show)

See Also:
Fixed In Version: openssl-1.0.1e-31.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-20 16:40:43 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harald Reindl 2013-11-18 16:15:38 EST
https://bugzilla.redhat.com/show_bug.cgi?id=1019256

there is a fresh openssh build for F18 on koji
http://koji.fedoraproject.org/koji/buildinfo?buildID=479133

but F18 openssl was not rebuilt with "add back support for secp521r1 EC curve"
http://koji.fedoraproject.org/koji/buildinfo?buildID=477538

so i am not sure if this should not be done first
on my F19 machines today i generated ECDSA keys which are working fine
ecdsa-sha2-nistp521
Comment 1 Fedora End Of Life 2013-12-21 09:45:54 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.